Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.component
Class FitWidthRenderer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--com.sun.jimi.core.component.FitWidthRenderer

public class FitWidthRenderer
extends java.awt.Panel
implements JimiImageRenderer, java.awt.event.AdjustmentListener

Render for fitting to image width.

See Also:
  Serialized Form

Field Summary
`protected JimiCanvas` | `canvas`
`protected FitToWidthPanel` | `panel`
`protected JimiRasterImage` | `rasterImage`
`protected java.awt.Scrollbar` | `scroller`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`FitWidthRenderer(JimiCanvas canvas)`

Method Summary
`void` | `adjustmentValueChanged(java.awt.event.AdjustmentEvent e)`
`void` | `calibrateScrolling()`
`java.awt.Component` | `getContentPane()`
`void` | `render()`
`void` | `setImage(java.awt.Image image)`
`void` | `setImageProducer(java.awt.image.ImageProducer producer)`
`void` | `setRasterImage(JimiRasterImage raster)`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rasterImage

    protected JimiRasterImage rasterImage

### scroller

    protected java.awt.Scrollbar scroller

### panel

    protected FitToWidthPanel panel

### canvas

    protected JimiCanvas canvas

Constructor Detail

### FitWidthRenderer

    public FitWidthRenderer(JimiCanvas canvas)

Method Detail

### calibrateScrolling

    public void calibrateScrolling()

### setImage

    public void setImage(java.awt.Image image)

  Specified by:
    setImage in interface JimiImageRenderer

### setImageProducer

    public void setImageProducer(java.awt.image.ImageProducer producer)

  Specified by:
    setImageProducer in interface JimiImageRenderer

### setRasterImage

    public void setRasterImage(JimiRasterImage raster)

  Specified by:
    setRasterImage in interface JimiImageRenderer

### getContentPane

    public java.awt.Component getContentPane()

  Specified by:
    getContentPane in interface JimiImageRenderer

### render

    public void render()

  Specified by:
    render in interface JimiImageRenderer

### adjustmentValueChanged

    public void adjustmentValueChanged(java.awt.event.AdjustmentEvent e)

  Specified by:
    adjustmentValueChanged in interface java.awt.event.AdjustmentListener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD